Bug 1251192 - rfe: please change gdm to not add :/bin:/sbin to $PATH
Summary: rfe: please change gdm to not add :/bin:/sbin to $PATH
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-06 16:23 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2015-08-07 01:03 UTC (History)
1 user (show)

Fixed In Version: gdm-3.17.4-2.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-06 16:39:18 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1251320 0 unspecified CLOSED rfe: please change login to not add /bin:/sbin to $PATH 2021-02-22 00:41:40 UTC

Internal Links: 1251320

Description Zbigniew Jędrzejewski-Szmek 2015-08-06 16:23:37 UTC
Description of problem:
gdm adds the "old school" dirs to the default $PATH for uses sessions. It's not harmful, but has some downsides:
- every path search is infinitesimally slower
- every execve strace log is longer
- anyone looking at $PATH has to think longer

Since the /usr split is long gone, please consider removing it also from the path.

Version-Release number of selected component (if applicable):
gdm-3.16.2-1.fc22.x86_64

Comment 1 Ray Strode [halfline] 2015-08-06 16:39:18 UTC
okay i added 

--with-default-path=/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin \

to the configure line


Note You need to log in before you can comment on or make changes to this bug.